MMetrics (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.metamata.MMetrics,MMetrics class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.metamata
Class MMetrics

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.metamata.AbstractMetamataTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.metamata.MMetrics

public class MMetrics
extends AbstractMetamataTask

Computes the metrics of a set of Java files and write the results to an XML file. As a convenience, a stylesheet is given in `etc` directory, so that an HTML report can be generated from the XML file.

You will not be able to use this task with the evaluation version since as of Metamata 2.0, Metrics does not support command line :-(

Nested Class Summary
`static class` | `MMetrics.GranularityAttribute` Attributes for granularity.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.metamata.AbstractMetamataTask
`classPath, cmdl, fileSets, includedFiles, metamataHome, optionsFile, sourcePath`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MMetrics()` default constructor

Method Summary
`protected void` | `checkOptions()` validate options set
`protected void` | `cleanUp()` cleanup the temporary txt report
`Path` | `createPath()` Set a new path (directory) to measure metrics from.
`protected ExecuteStreamHandler` | `createStreamHandler()` if the report is transform via a temporary txt file we should use a a normal logger here, otherwise we could use the metrics handler directly to capture and transform the output on stdout to XML.
`protected void` | `execute0(ExecuteStreamHandler handler)` execute the process with a specific handler
`protected java.util.Vector` | `getOptions()` return all options of the command line as string elements
`void` | `setGranularity(MMetrics.GranularityAttribute granularity)` set the granularity of the audit.
`void` | `setTofile(java.io.File file)` Set the output XML file
`protected void` | `transformFile()` transform the generated file via the handler This function can either be called if the result is written to the output file via -output or we could use the handler directly on stdout if not.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.metamata.AbstractMetamataTask
`addAllVector, addFileSet, createClasspath, createJvmarg, createSourcepath, createTmpFile, execute, generateOptionsFile, getFileMapping, getMetamataJar, scanSources, scanSources, setHome, setMaxmemory, setMetamatahome, setUp`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MMetrics

    public MMetrics()

  default constructor

Method Detail

### setGranularity

    public void setGranularity(MMetrics.GranularityAttribute granularity)

  set the granularity of the audit. Should be one of 'files', 'methods' or 'types'.

  Parameters:
    `granularity` - the audit reporting mode.

### setTofile

    public void setTofile(java.io.File file)

  Set the output XML file

  Parameters:
    `file` - the xml file to write the XML report to.

### createPath

    public Path createPath()

  Set a new path (directory) to measure metrics from.

  Returns:
    the path instance to use.

### checkOptions

    protected void checkOptions()
                         throws BuildException

  Description copied from class: `AbstractMetamataTask`
  validate options set

  Overrides:
    `checkOptions` in class `AbstractMetamataTask`
    `BuildException`

### execute0

    protected void execute0(ExecuteStreamHandler handler)
                     throws BuildException

  Description copied from class: `AbstractMetamataTask`
  execute the process with a specific handler

  Overrides:
    `execute0` in class `AbstractMetamataTask`
    `BuildException`

### transformFile

    protected void transformFile()
                          throws BuildException

  transform the generated file via the handler This function can either be called if the result is written to the output file via -output or we could use the handler directly on stdout if not.

    `BuildException`
  See Also:
    `createStreamHandler()`

### cleanUp

    protected void cleanUp()
                    throws BuildException

  cleanup the temporary txt report

  Overrides:
    `cleanUp` in class `AbstractMetamataTask`
    `BuildException`

### createStreamHandler

    protected ExecuteStreamHandler createStreamHandler()

  if the report is transform via a temporary txt file we should use a a normal logger here, otherwise we could use the metrics handler directly to capture and transform the output on stdout to XML.

  Specified by:
    `createStreamHandler` in class `AbstractMetamataTask`

### getOptions

    protected java.util.Vector getOptions()

  Description copied from class: `AbstractMetamataTask`
  return all options of the command line as string elements

  Specified by:
    `getOptions` in class `AbstractMetamataTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.